#ifndef __VHEX_DISPLAY__
# define __VHEX_DISPLAY__

#include <vhex/defs/types.h>
#include <vhex/display/types.h>
#include <vhex/display/draw.h>
#include <vhex/display/color.h>
#include <vhex/display/text.h>
//#include <vhex/display/image.h>
#include <vhex/display/stack.h>

//TODO: doc

/* dclear(): Fill the screen with a single color */
extern did_t dclear(int color);

/* dupdate(): Generate the display frame on the screen */
extern void dupdate(void);

/* dwidth(): get the screen width */
VINLINE size_t dwidth(void)
{
	return dstack_display_width();
}

/* dheight(): get the heigth of the screen */
VINLINE size_t dheight(void)
{
	return dstack_display_height();
}






//---
// Text render API
//---
#if 0



/* dpixel(): Change a pixel's color */
extern void dpixel(int x, int y, int color);



/* dascii() : display one ASCII character */
extern void dascii(int x, int y, int fg, int bg, int n);

/* dline(): Render a straight line */
extern void dline(int x1, int y1, int x2, int y2, int color);





/* drect(): Fill a rectangle of the screen */
extern void drect(int x1, int y1, int x2, int y2, int color);

/* dhline(): Draw horizontal line */
extern void dhline(int x1, int x2, int y, int color);

/* dvline(): Draw vertical line */
extern void dvline(int y1, int y2, int x, int color);

#endif /* IF 0 */

#endif /*__VHEX_DISPLAY__*/
