#include <vhex/driver/mpu/sh/sh7305/intc.h>
#include <vhex/defs/types.h>
#include <string.h>

/* sh7305_intc_install_inth() : install interrupt gate */
void sh7305_intc_install_inth(int event_code, void *gate, size_t size)
{
	extern uintptr_t vhex_vbr;

	memcpy(
		(void*)((uintptr_t)&vhex_vbr + 0x600 + 0x40 + (event_code - 0x400)),
		gate,
		size
	);
}
